/* OLTP operational database tables */
CREATE TABLE telecenter_inventory (
	contact_date 	DATE DEFAULT CURRENT_DATE NOT NULL,
	machine_type 	INTEGER DEFAULT 0 NOT NULL,
	m_superid	CHARACTER VARYING(20) NOT NULL,
	macaddr	     	CHARACTER VARYING(18) NOT NULL,
	os_type      	TEXT,
	os_distro    	TEXT,
	os_kernel    	TEXT,
	processor    	TEXT,
	memory	     	INTEGER,
	disk1_model  	TEXT,
	disk1_size   	INTEGER,
	disk1_used   	INTEGER,
	disk2_model  	TEXT,
	disk2_size   	INTEGER,
	disk2_used   	INTEGER,
	extra_hds    	SMALLINT DEFAULT 0 NOT NULL,
        tl_name         CHARACTER VARYING(120) NOT NULL,
        tl_phone        CHARACTER VARYING(20) NOT NULL,
        tl_street       TEXT NOT NULL,
        tl_numbr        INTEGER NOT NULL,
	tl_city		TEXT NOT NULL,
        tl_zipcode      TEXT NOT NULL,
        tl_neighborhood TEXT NOT NULL,
        tl_geolocation  TEXT NOT NULL,
        tl_admin_name   TEXT NOT NULL,
        tl_admin_phone  CHARACTER VARYING(20) NOT NULL
);

CREATE TABLE telecenter_net_usage (
	contact_date   date      default CURRENT_DATE not null,
	m_superid      CHARACTER VARYING(20) not null,
	macaddr	       CHARACTER VARYING(18) not null,
	collect_time   TIME WITHOUT TIME ZONE,
	down_kbits     BIGINT,
	down_packages  INTEGER,
	up_kbits       BIGINT,
	up_packages    INTEGER
);

CREATE TABLE rejected_inventory (
        id           	INTEGER,
	contact_date 	DATE NOT NULL,
        machine_type 	INTEGER DEFAULT 0 NOT NULL,
        tl_id      	INTEGER,
	macaddr	     	TEXT NOT NULL,
	os_type      	TEXT,
	os_distro    	TEXT,
	os_kernel    	TEXT,
	processor    	TEXT,
	memory	     	INTEGER,
	disk1_model  	TEXT,
	disk1_size   	INTEGER,
	disk1_used   	INTEGER,
	disk2_model  	TEXT,
	disk2_size   	INTEGER,
	disk2_used   	INTEGER,
	extra_hds    	SMALLINT
);

CREATE TABLE rejected_net_usage (
        tl_id          INTEGER,
	contact_date   date      default CURRENT_DATE not null,
	macaddr	       CHARACTER VARYING(18) not null,
	collect_time   TIME WITHOUT TIME ZONE,
	down_kbits     BIGINT,
	down_packages  INTEGER,
	up_kbits       BIGINT,
	up_packages    INTEGER
);
